[packages/graylog-collector-sidecar] add collector-sidecar.init

glen glen at pld-linux.org
Fri Feb 9 15:07:10 CET 2018


commit e2719b3d449320952417610863fb4d537253b7a1
Author: Elan Ruusamäe <glen at pld-linux.org>
Date:   Fri Feb 9 15:48:53 2018 +0200

    add collector-sidecar.init
    
    generated with:
    
    $ graylog-collector-sidecar -service install

 collector-sidecar.init | 96 ++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 96 insertions(+)
---
diff --git a/collector-sidecar.init b/collector-sidecar.init
new file mode 100755
index 0000000..0926070
--- /dev/null
+++ b/collector-sidecar.init
@@ -0,0 +1,96 @@
+#!/bin/sh
+# For RedHat and cousins:
+# chkconfig: - 99 01
+# description: Wrapper service for Graylog controlled collector
+# processname: /usr/sbin/graylog-collector-sidecar
+
+### BEGIN INIT INFO
+# Provides:          /usr/sbin/graylog-collector-sidecar
+# Required-Start:
+# Required-Stop:
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: Graylog collector sidecar
+# Description:       Wrapper service for Graylog controlled collector
+### END INIT INFO
+
+cmd="/usr/sbin/graylog-collector-sidecar"
+
+name=$(basename $(readlink -f $0))
+pid_file="/var/run/$name.pid"
+stdout_log="/var/log/$name.log"
+stderr_log="/var/log/$name.err"
+
+[ -e /etc/sysconfig/$name ] && . /etc/sysconfig/$name
+
+get_pid() {
+    cat "$pid_file"
+}
+
+is_running() {
+    [ -f "$pid_file" ] && ps $(get_pid) > /dev/null 2>&1
+}
+
+case "$1" in
+    start)
+        if is_running; then
+            echo "Already started"
+        else
+            echo "Starting $name"
+            
+            $cmd >> "$stdout_log" 2>> "$stderr_log" &
+            echo $! > "$pid_file"
+            if ! is_running; then
+                echo "Unable to start, see $stdout_log and $stderr_log"
+                exit 1
+            fi
+        fi
+    ;;
+    stop)
+        if is_running; then
+            echo -n "Stopping $name.."
+            kill $(get_pid)
+            for i in {1..10}
+            do
+                if ! is_running; then
+                    break
+                fi
+                echo -n "."
+                sleep 1
+            done
+            echo
+            if is_running; then
+                echo "Not stopped; may still be shutting down or shutdown may have failed"
+                exit 1
+            else
+                echo "Stopped"
+                if [ -f "$pid_file" ]; then
+                    rm "$pid_file"
+                fi
+            fi
+        else
+            echo "Not running"
+        fi
+    ;;
+    restart)
+        $0 stop
+        if is_running; then
+            echo "Unable to stop, will not attempt to start"
+            exit 1
+        fi
+        $0 start
+    ;;
+    status)
+        if is_running; then
+            echo "Running"
+        else
+            echo "Stopped"
+            exit 1
+        fi
+    ;;
+    *)
+    echo "Usage: $0 {start|stop|restart|status}"
+    exit 1
+    ;;
+esac
+exit 0
================================================================

---- gitweb:

http://git.pld-linux.org/gitweb.cgi/packages/graylog-collector-sidecar.git/commitdiff/fed25cf8d4e33ceb06c146b8511bcf43a95b8439



More information about the pld-cvs-commit mailing list